Loading...
Searching...
No Matches
freedv_rx_ss.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2016-2019 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_VOCODER_FREEDV_RX_H
#define INCLUDED_VOCODER_FREEDV_RX_H
#include <gnuradio/block.h>
#include <gnuradio/vocoder/api.h>
#include <gnuradio/vocoder/freedv_api.h>
namespace gr {
namespace vocoder {
/*!
* \brief FreeDV demodulator
* \ingroup audio_blk
*
* Input: 16-bit short values of an audio signal with sampling rate 8 kHz.
*
* Output: 16-bit short values of an audio signal with sampling rate 8 kHz.
*
* See also gr::vocoder::freedv_tx_ss.
*/
class VOCODER_API freedv_rx_ss : virtual public gr::block
{
public:
typedef std::shared_ptr<freedv_rx_ss> sptr;
/*!
* \brief Make FreeDV modem demodulator block.
*
* \param mode Operating Mode designation
* \param squelch_thresh FreeDV modem squelch threshold value
* \param interleave_frames FreeDV 700D mode number of frames to average error
*/
static sptr make(int mode = freedv_api::MODE_1600,
float squelch_thresh = -100.0,
int interleave_frames = 1);
virtual void set_squelch_thresh(float squelch_thresh) = 0;
virtual float squelch_thresh() = 0;
virtual void set_squelch_en(bool squelch_enable) = 0;
};
} /* namespace vocoder */
} /* namespace gr */
#endif /* INCLUDED_VOCODER_FREEDV_RX_H */
gr::block
The abstract base class for all 'terminal' processing blocks.
Definition gnuradio-runtime/include/gnuradio/block.h:63
gr::vocoder::freedv_rx_ss
FreeDV demodulator.
Definition freedv_rx_ss.h:32
gr::vocoder::freedv_rx_ss::set_squelch_en
virtual void set_squelch_en(bool squelch_enable)=0
gr::vocoder::freedv_rx_ss::make
static sptr make(int mode=freedv_api::MODE_1600, float squelch_thresh=-100.0, int interleave_frames=1)
Make FreeDV modem demodulator block.
gr::vocoder::freedv_rx_ss::squelch_thresh
virtual float squelch_thresh()=0
gr::vocoder::freedv_rx_ss::set_squelch_thresh
virtual void set_squelch_thresh(float squelch_thresh)=0
gr::vocoder::freedv_rx_ss::sptr
std::shared_ptr< freedv_rx_ss > sptr
Definition freedv_rx_ss.h:34
freedv_api.h
block.h
api.h
VOCODER_API
#define VOCODER_API
Definition gr-vocoder/include/gnuradio/vocoder/api.h:18
gr::vocoder
Definition alaw_decode_bs.h:18
gr
GNU Radio logging wrapper.
Definition basic_block.h:29